; nonparallel assembly code for N element floating point dot product
; A4 and B4 contain pointers to arrays of floats
; A6 contains an integer with N 
			.def 	_dotproduct1

_dotproduct1:
			MV		.S1	A6, A1		; copy count to register A1
			MV		.S1	B4, A6		; copy address to A6
			ZERO	.L1	A8			; zero accumulator
LOOP:
			LDW		.D1	*A4++, A2	; get element from first array
			LDW		.D1	*A6++, A5	; get element from second array
			NOP		4				; wait for data
			MPYSP	.M1	A2, A5, A7	; multiply 
			NOP	    3				; wait for result
			ADDSP	.L1	A7, A8, A8	; accumulate
			NOP		3
			SUB		.S1	A1, 1, A1	; decrement counter
	[A1]	B	.S2	LOOP			; conditional branch
			NOP 	5
			; conditional branch occurs here
			MV		.S1	A8, A4		; put result in proper register
			B		B3				; branch back to calling function
			NOP		5

			.end